summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rwxr-xr-xupdate-tabnine.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/update-tabnine.sh b/update-tabnine.sh
index 19fe45df..bd6a0721 100755
--- a/update-tabnine.sh
+++ b/update-tabnine.sh
@@ -1,7 +1,9 @@
 #!/bin/sh
 
+set -euo pipefail
+
 function prefetch_target () {
-  nix-prefetch-url --type sha256 https://update.tabnine.com/$2/$1/TabNine 2> /dev/null
+  nix-prefetch-url --type sha256 https://update.tabnine.com/$2/$1/TabNine
 }
 
 if [ -z "$1" ]; then